Album: 'Paradox Struck: Volume 1'
#thanks to gr1mv4d3r for helping with references and other various qiestopms
Date: June 24, 2024
Date Added: October 02, 2025
Artists:
- gr1mv4d3r
URLs:
- https://paradoxstruck.bandcamp.com/album/paradox-struck-volume-1
Cover Artists:
- gr1mv4d3r
Cover Art File Extension: png
Wallpaper File Extension: png
Track Art File Extension: png
Color: '#d29df5'
Groups:
- Fandom
---
Track: The Ghostly Composer
Duration: 1:07
Cover Artists:
- petenans
Cover Art File Extension: jpg
URLs:
- https://paradoxstruck.bandcamp.com/track/the-ghostly-composer
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/the-ghostly-composer))
    track art: [[artist:petenans]]
---
Track: Trollish Antics
Duration: 1:48
Cover Artists:
- Steamjunk23
URLs:
- https://paradoxstruck.bandcamp.com/track/trollish-antics
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/trollish-antics))
    track art: [[artist:steamjunk23]]
---
Track: Niko Ectobiology
Duration: 3:05
Cover Artists:
- Retroguardiann
Art Tags:
- Gate
Referenced Tracks:
- Ectobiology
URLs:
- https://paradoxstruck.bandcamp.com/track/niko-ectobiology
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/niko-ectobiology))
    track art: [[artist:retroguardiann]]
---
Track: Interrogation on a Purple Moon
Duration: 1:10
Cover Artists:
- ardentavian
URLs:
- https://paradoxstruck.bandcamp.com/track/interrogation-on-a-purple-moon
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/interrogation-on-a-purple-moon))
    track art: [[artist:ardentavian]]
---
Track: The New Recruit
Duration: 1:45
Cover Artists:
- z3drum
Cover Art File Extension: jpg
URLs:
- https://paradoxstruck.bandcamp.com/track/the-new-recruit
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/the-new-recruit))
    track art: [[artist:z3drum]]
---
Track: The Ghastly Troll
Duration: 1:48
Cover Artists:
- paramourProphet
URLs:
- https://paradoxstruck.bandcamp.com/track/the-ghastly-troll
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/the-ghastly-troll))
    track art: [[artist:paramourprophet]]
---
Track: Vitras' Theme
Duration: 2:24
Cover Artists:
- lanky_h0rror
Cover Art File Extension: jpg
URLs:
- https://paradoxstruck.bandcamp.com/track/vitras-theme
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/vitras-theme))
    track art: [[artist:lanky-h0rror]]
---
Track: Gamer Boy
Duration: 2:15
Cover Artists:
- petcusine
URLs:
- https://paradoxstruck.bandcamp.com/track/gamer-boy
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/gamer-boy))
    track art: [[artist:petcusine]]
---
Track: SP0R@D1C1TY
Duration: 1:09
Cover Artists:
- punkadorks
Cover Art File Extension: jpg
URLs:
- https://paradoxstruck.bandcamp.com/track/sp0r-d1c1ty
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/sp0r-d1c1ty))
    track art: [[artist:punkadorks]]
---
Track: PYROMANIA
Duration: 0:39
Cover Artists:
- cemetaryfun
URLs:
- https://paradoxstruck.bandcamp.com/track/pyromania
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/pyromania))
    track art: [[artist:cemetaryfun]]
---
Track: Zephyr's Theme
Duration: 1:29
Cover Artists:
- unlik3lygrader
URLs:
- https://paradoxstruck.bandcamp.com/track/zephyrs-theme
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/zephyrs-theme))
    track art: [[artist:unlik3lygrader]]
---
Track: Memories Lament
Duration: 0:53
Cover Artists:
- ZombiesAteHerBrains
Cover Art File Extension: jpg
Art Tags:
- Space
- Skaia
- 'cw: blood'
URLs:
- https://paradoxstruck.bandcamp.com/track/memories-lament
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/memories-lament))
    track art: [[artist:zombiesateherbrains]]
---
Track: Slick Swindler
Duration: 1:05
Cover Artists:
- deadmoronsociety
URLs:
- https://paradoxstruck.bandcamp.com/track/slick-swindler
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/slick-swindler))
    track art: [[artist:deadmoronsociety]]
---
Track: Subservient Highblood
Duration: 1:09
Cover Artists:
- rayquazaxd
Art Tags:
- 'cw: blood'
URLs:
- https://paradoxstruck.bandcamp.com/track/subservient-highblood
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/subservient-highblood))
    track art: [[artist:rayquazaxd]]
---
Track: Fright Rush
Duration: 0:57
Cover Artists:
- Ender
Art Tags:
- Reckoning
Referenced Tracks:
- Rex Duodecim Angelus
URLs:
- https://paradoxstruck.bandcamp.com/track/fright-rush
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/fright-rush))
    track art: [[artist:ender]]
---
Track: Assassination Mission
Duration: 2:01
Cover Artists:
- spamton_aka_spamton
Art Tags:
- Skaia
URLs:
- https://paradoxstruck.bandcamp.com/track/assassination-mission
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/assassination-mission))
    track art: [[artist:spamton-aka-spamton]]
---
Track: The Question Game
Duration: 2:07
Cover Artists:
- epic.juice
URLs:
- https://paradoxstruck.bandcamp.com/track/the-question-game
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/the-question-game))
    track art: [[artist:epic-juice]]
---
Track: CHR0MAT1KK
Duration: 1:36
Cover Artists:
- eerily.arsenic
Art Tags:
- Gate
URLs:
- https://paradoxstruck.bandcamp.com/track/chr0mat1kk
Crediting Sources: |-
    <i>gr1mv4d3r:</i> ([Bandcamp credits blurb](https://paradoxstruck.bandcamp.com/track/chr0mat1kk))
    track art: [[artist:eerily-arsenic]]